<h1>
 Figures
 <% if @selected_security %><em>on <%=@selected_security%></em><% end %>
</h1>

<%= render :partial=>'portrait/smart_links', locals: { :item_to_portrait=>@selected_security, :shown_is=>:figures } %>
<br/>

<%= form_tag({:action=>'index'}, :method=>:get, :id=>'controller_filter') do %>
    <p>
     <%= select_tag 'id_security', options_from_collection_for_select(@securities, :id, :to_s_with_symbol, @selected_security.id), prompt: '-- Select Security --' %>
     <%= button_tag 'show', :name=>'show', :value=>'this' %>
     <%= button_tag '<= previous', :name=>'show', :value=>'previous' %>
     <%= button_tag 'next =>', :name=>'show', :value=>'next' %>
    </p>
<% end %>

<% if @figuredata %>
    <%= form_for @figuredata, :url=>{action: :create}, :method=>:POST do |f| %>
     <fieldset id='figuredata'>
      <legend><% if @figuredata.id  %>Edit <% else %>Add new<% end %>Figure Record</legend>
        <%= f.hidden_field :id %>
        <%= f.hidden_field :id_security %>
      <div style='display: block; float: left;'>
        <%= f.number_field :value, :step=>0.01, :placeholder=>'The value.' %><br/>
        <%= f.select :id_figure_var, @figurevariables.collect{|v| [v.name, v.id] }, :prompt=>'-- Select Variable --' %><br/>
        <%= f.number_field :value, :step=>0.01, :placeholder=>'The value.' %><br/>
        <%= f.select :period, @figuredata.get_periods.collect{|p| [@figuredata.translate_period(p), p] }, :prompt=>'-- Select Period --' %><br/>
        <%= f.date_field :time, :placeholder=>'Date Recorded.' %><br/> 
        <%= f.text_field :analyst, :placeholder=>'Who analysed?' %><br/> 
        <hr/>
        <div>Value options:</div>
        <%= f.check_box :is_expected %><%= label :new_figuredata, :is_expected %><br/> 
        <%= f.check_box :is_audited %><%= label :new_figuredata, :is_audited %><br/>
        <hr/>
        <div>Data entry options:</div>
        <%= check_box_tag(:keep_form_open, true, @keep_form_open) %><%= label_tag :keep_form_open, 'Keep form open to add more data.' %><br/>
        <%= number_field_tag(:scale_value, @scale_value, :placeholder=>'Scale the value.') %><%= label_tag :scale_value, 'thousands... billions...' %><br/>
        <hr/>
        <%= f.text_area :comment, :cols=>40, :rows=>7, placeholder: 'Remarks? Ie. how that number came up?' %>
        <%= f.submit 'Save Figure Data' %>
      </div>
     </fieldset>
    <% end %>
<% end %>


<table id='figures'>
    <thead>
    <tr>
        <td class="smr_topic_menu" colspan="<%= @datayears.count %>">
        <% @datayears.each do |y| %>
            <%= link_to '>> %s' % y, '?year=%i' % y %>
        <% end %>
        </td>
    </tr>
    </thead>
    <tbody>

<% if not @have_data %>
    <tr/>
    <tr><td colspan="<%= @datayears.count %>">
      No figures recorded yet for this security and current year.
    </td></tr>

<% else %>
    <% for row in 0...@datatable.rows %>
    <tr <% if @datatable.rowspan(row) %>
            <% if row>0 and @datatable.rowspan(row+1) %>class="separaterows"
            <% elsif row>0 %>class="separaterows_rowspan"<% end %>
        <% end %>
    >
      <% for col in 0...@datatable.columns %>
        <% next if col==0  and not @datatable.rowspan(row) #skip blanked cells %>

        <td <% if col==0 %>rowspan="<%=@datatable.rowspan(row)%>"<% end %>>
         <%= if @datatable.link(row, col) then
                link_to(smr_humanize(@datatable.cell(row, col), :scientific=>true), @datatable.link(row, col))
             else smr_humanize(@datatable.cell(row, col), :scientific=>true) end %><%= @datatable.cell_unit(row, col) %>
        </td>
      <% end %>
    </tr>
    <% end %>
    </tbody>
</table>
<% end %>
<br/>
